Payment Initiation Service (PIS)
Under PSD2, a Payment Initiation Service (PIS) is an online service that accesses a user’s payment account to initiate fund transfers on their behalf, with the user’s consent and authentication. PIS provides an alternative to paying online with a credit or debit card. While not widely used for online payments in the UK, these services are common in other European countries. PSD2 brings payment initiation services under regulation, ensuring that Payment Initiation Service Providers (PISPs) have access to payment accounts and must meet security requirements for users.
Endpoints
| Name | Endpoint |
|---|---|
| Create Payment | POST /payments |
| Get Payment List | GET /payments |
| Get Payment Details | GET /payments{paymentId} |
| Get Payment Status | GET /payments{paymentId}/status |
| Cancel Payment | DELETE /payments{paymentId} |